* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-size: 16px;
    line-height: 1.4;
    letter-spacing: 0.2px;
    font-family: Verdana, Geneva, Tahoma, sans-serif, "Font Awesome 5 Free";
    padding: 0.5rem;
}

.main-section {
    background: #eee;
    height: 110vh;
}

.pop-close-btn {
    background: transparent;
    font-size: 1.5rem;
    border: none;
    outline: none;
    color: #fff;
    position: absolute;
    z-index: 99;
    right: 1rem;
    top: 1rem;
}

.outer-box {
    width: 40%;
    height: 100vh;
    right: 5rem;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 2px 2px, rgba(0, 0, 0, 0.23) 0px 2px 2px;
    position: absolute;
    border-radius: 20px;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(187, 186, 186);
    border-image: initial;
    background: rgb(255, 255, 255);
    display: none;
}

.outer-box .heading-bg {
    width: 100%;
    height: 17rem;
    background-color: #ff5c00;
    position: absolute;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;

}

.outer-box .heading-bg .heading-text {
    position: relative;
    top: 3rem;
    left: 5rem;
    color: rgb(255, 255, 255);
    font-weight: 700;
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    /* margin-top: 5px; */
}

.outer-box .heading-bg .heading-text-box h1 {
    font-size: 1.9rem;
}

.outer-box .heading-bg .heading-text-box h2 {
    font-size: 1.4rem;
}

.outer-box .heading-bg .heading-text-box p {
    font-size: 1.2rem;
    font-weight: 400;
}

.outer-box .icon {
    position: absolute;
    top: 12.5rem;
    left: 70px;
    z-index: 2;
    background: linear-gradient(180deg, #ff7600 0%, #ff5c00 100%);
    height: 50px;
    width: 51px;
    border-radius: 20px;
    color: #fff;
}

.outer-box .question-bg {
    position: relative;
    top: 14rem;
    border: 1px solid #e4e4e4;
    width: 88%;
    left: 2rem;
    background: #fff;
    border-radius: 0.5rem;
    padding: 5px solid gray;
}

.question-heading {

    padding: 5px solid white;
    position: relative;
    display: flex;
    width: 400px;
    height: 436px;
    top: 2rem;
    left: 2rem;
}

.outer-box .question-bg .single-question-box {
    position: relative;
    width: 90%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    padding: 0.2rem 0.1rem;
    border: 1px solid #e1e1e1;
    -webkit-box-shadow: 0px 0px 8px rgb(0 0 0 / 5%);
    box-shadow: 0px 0px 8px rgb(0 0 0 / 5%);
    border-radius: 0.5rem;
    font: 300;
}

.outer-box .question-bg .question1 {
    position: absolute;
    top: 6rem;
    left: 3%;
    padding: 10px;
    transition: transform 0.5s, opacity 2s;
    -moz-transition: transform 0.5s, opacity 2s;
    -webkit-transition: transform 0.5s, opacity 2s;
    -o-transition: transform 0.5s, opacity 2s;
    opacity: 0;
}

.outer-box .question-bg .question2 {
    position: absolute;
    top: 9.5rem;
    left: 3%;
    padding: 10px;
    transition: transform 0.5s, opacity 2s;
    -moz-transition: transform 0.5s, opacity 2s;
    -webkit-transition: transform 0.5s, opacity 2s;
    -o-transition: transform 0.5s, opacity 2s;
    opacity: 0;

}

.outer-box .question-bg .question3 {
    position: absolute;
    top: 13rem;
    left: 3%;
    padding: 10px;
    transition: transform 0.5s, opacity 2s;
    -moz-transition: transform 0.5s, opacity 2s;
    -webkit-transition: transform 0.5s, opacity 2s;
    -o-transition: transform 0.5s, opacity 2s;
    opacity: 0;
}

.outer-box .question-bg .question4 {
    position: absolute;
    top: 16.5rem;
    left: 3%;
    padding: 10px;
    transition: transform 0.5s, opacity 2s;
    -moz-transition: transform 0.5s, opacity 2s;
    -webkit-transition: transform 0.5s, opacity 2s;
    -o-transition: transform 0.5s, opacity 2s;
    opacity: 0;
}

.outer-box .question-bg .question-btn {
    position: absolute;
    top: 20rem;
    left: 6%;
    padding: 0.9rem 2rem;
    background: #fff;
    border: 1px solid #d1d1d1;
    -webkit-box-shadow: 0px 4px 5px rgb(0 0 0 / 10%);
    box-shadow: 0px 4px 5px rgb(0 0 0 / 10%);
    border-radius: 6rem;
    font-size: 1rem;
    font-weight: 500;
    transition: transform 0.5s, opacity 2s;
    -moz-transition: transform 0.5s, opacity 2s;
    -webkit-transition: transform 0.5s, opacity 2s;
    -o-transition: transform 0.5s, opacity 2s;
    opacity: 0;
}

.outer-box .question-bg p {
    margin-left: 12px;
}

.outer-box .question-bg .question-btn button {
    padding: 0.9rem 2rem;
    background: #fff;
    border: 1px solid #d1d1d1;
    -webkit-box-shadow: 0px 4px 5px rgb(0 0 0 / 10%);
    box-shadow: 0px 4px 5px rgb(0 0 0 / 10%);
    border-radius: 6rem;
    font-size: 1rem;
    font-weight: 500;
}

.outer-box .question-bg .question-icon {
    display: -ms-grid;
    display: grid;
    place-items: center;
    border-radius: 2rem;
    /* background: #f5831f26; */
    color: #ff5c00;
}

.refresh-btn {
    color: red;
    font-size: 18px;
    position: fixed;
    bottom: 1rem;
    padding: 0.6rem 1.2rem;
    background-color: white;
    border: 1px solid tomato;
    border-color: red;
    display: block;
    left: 1.5rem;
    border-radius: 4px;
    cursor: pointer;
    z-index: 1;
}

.popup-open-btn {
    position: fixed;
    bottom: 1rem;
    padding: 17px;
    right: 1rem;
    cursor: pointer;
    z-index: 1;
    float: right;
    background: #ff5c00;
    color: #fff;
    font-weight: 500;
    font-size: 1.5rem;
    padding: 1.5rem;
    padding-top: 2rem;
    border: 2px solid #555;
    -webkit-clip-path: polygon(30% 28%, 81% 29%, 100% 28%, 100% 78%, 100% 99%, 0 100%, 0 79%, 0 27%, 0 0);
    clip-path: polygon(30% 28%, 81% 29%, 100% 28%, 100% 78%, 100% 99%, 0 100%, 0 79%, 0 27%, 0 0);
}

#refresh:hover {
    background-color: red;
    color: white;
}

/* Animation css */
.fade-in {
    animation: fadeIn 5s;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.outer-box .question-bg .show {
    opacity: 1;
    -moz-transform: translateX(0%);
}

.outer-box .question-bg .question-btn .show {
    opacity: 1;
    -moz-transform: translateX(0%);
}

.fade-out {
    animation: fadeOut 5s;
}

@keyframes fadeOut {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}